Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens neuroanalyst
  • Gallery in DataLens
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • Create embed
        • List embeds
        • Delete embed
        • Update embed
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • EmbedSettings
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API
  3. Embeds
  4. Update embed
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
    • EmbedSettings
  • Responses
  • 200 OK
    • Body

Update embed

Updates the specified embedding.

RequestRequest

POST

https://api.datalens.tech/rpc/updateEmbed

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

BodyBody

application/json
{
  "embedId": "example",
  "title": "example",
  "embeddingSecretId": "example",
  "depsIds": [
    "example"
  ],
  "unsignedParams": [
    "example"
  ],
  "privateParams": [
    "example"
  ],
  "publicParamsMode": true,
  "settings": {
    "enableExport": true
  }
}

Name

Description

depsIds

Type: string[]

Array of dependency entry IDs.

Example
[
  "example"
]

embeddingSecretId

Type: string

ID of the key for embedding used for authentication.

Example: example

embedId

Type: string

ID of the embedding to update.

Example: example

privateParams

Type: string[]

Array of signed parameters that are provided as part of the token.

Example
[
  "example"
]

publicParamsMode

Type: boolean

Whether default parameters mode is enabled.

settings

Type: EmbedSettings

Example
{
  "enableExport": true
}

title

Type: string

Name of the embedding.

Example: example

unsignedParams

Type: string[]

Array of unsigned parameters to be provided in the embedding link.

Example
[
  "example"
]

EmbedSettingsEmbedSettings

Name

Description

enableExport

Type: boolean

Whether data export is enabled for the embedding.

Example
{
  "enableExport": true
}

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "embedId": "example",
  "title": "example",
  "embeddingSecretId": "example",
  "entryId": "example",
  "depsIds": [
    "example"
  ],
  "unsignedParams": [
    "example"
  ],
  "privateParams": [
    "example"
  ],
  "createdBy": "example",
  "createdAt": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "publicParamsMode": true,
  "settings": {
    "enableExport": true
  }
}

Name

Description

createdAt

Type: string

Timestamp when the embedding was created.

Example: example

createdBy

Type: string

ID of the user who created the embedding.

Example: example

depsIds

Type: string[]

Array of dependency entry IDs.

Example
[
  "example"
]

embeddingSecretId

Type: string

ID of the key for embedding used for authentication.

Example: example

embedId

Type: string

Unique identifier of the embedding.

Example: example

entryId

Type: string

ID of the entry being privately embedded.

Example: example

privateParams

Type: string[]

Array of signed parameters that are provided as part of the token.

Example
[
  "example"
]

publicParamsMode

Type: boolean

Whether default parameters mode is enabled.

settings

Type: EmbedSettings

Example
{
  "enableExport": true
}

title

Type: string

Name of the embedding.

Example: example

unsignedParams

Type: string[]

Array of unsigned parameters to be provided in the embedding link.

Example
[
  "example"
]

updatedAt

Type: string

Timestamp when the embedding was last updated.

Example: example

updatedBy

Type: string

ID of the user who was the last to update the embedding.

Example: example

Was the article helpful?

Previous
Delete embed
Next
Overview
© 2026 Direct Cursus Technology L.L.C.